// Copyright (c) Microsoft Corporation
// Licensed under the MIT license.
export let module = undefined;
export async function createModule(parent) {
    if (module)
        return module;
    module = {
        name: "helpers",
        cursor: parent.cursor.enter("helpers"),
        imports: [],
        declarations: [],
    };
    // Child modules
    await import("./header.js").then((m) => m.createModule(module));
    await import("./http.js").then((m) => m.createModule(module));
    await import("./multipart.js").then((m) => m.createModule(module));
    await import("./router.js").then((m) => m.createModule(module));
    parent.declarations.push(module);
    return module;
}
//# sourceMappingURL=index.js.map