import { HttpServer, HttpService } from "@typespec/http";
import { JsContext, Module } from "../ctx.js";
/**
 * Additional context items used by the HTTP emitter.
 */
export interface HttpContext extends JsContext {
    /**
     * The HTTP-level representation of the service.
     */
    httpService: HttpService;
    /**
     * The root module for HTTP-specific code.
     */
    httpModule: Module;
    /**
     * The server definitions of the service (\@server decorator)
     */
    servers: HttpServer[];
}
/**
 * Emits bindings for the service to be carried over the HTTP protocol.
 */
export declare function emitHttp(ctx: JsContext): Promise<void>;
//# sourceMappingURL=index.d.ts.map