import { HttpService } from "@typespec/http";
import { Module } from "../../ctx.js";
import { HttpContext } from "../index.js";
/**
 * Emit a router for the HTTP operations defined in a given service.
 *
 * The generated router will use optimal prefix matching to dispatch requests to the appropriate underlying
 * implementation using the raw server.
 *
 * @param ctx - The emitter context.
 * @param service - The HTTP service to emit a router for.
 * @param serverRawModule - The module that contains the raw server implementation.
 */
export declare function emitRouter(ctx: HttpContext, service: HttpService, serverRawModule: Module): void;
//# sourceMappingURL=router.d.ts.map